<?PHP
    //
    // LMO-Blitztabelle
    //
    // Copyright etc. spare ich mir.
    // Bitte eMehl an mich, wer's einsetzt.
    // Fr Verbesserungsvorschlge immer offen, Script ist noch nicht perfekt.
    //
    // LMO_BLITZTABELLE.PHH
    // *********
    // Funktion:
    // *********
    // Anzeige der aktuellen Tabelle
    // Liga-Manager Online von Frank Hollwitz
    // http://www.hollwitz.de
    // by: Peter Scherb, 11/2002
    // Anschauen: www.peterscherb.de/svj
    // *************
    // Beschreibung:
    // *************
    // Anzeige der aktuellen Tabelle mit Einstellmglichkeiten
    // (siehe Einstellungsbereich)
    //
    // ***********************************************************************************
    // Aufruf:
    // -----------------------------------------------------------------------------------
    // ZeigeBlitzTabelle([Art], [LigaFile], [Mannschaften])
    //
    // Art: 1 = Einzelne Liga, LigaFile = Name der Liga mit Pfad, relativ zum Script
    //      2 = Ligen, die sich in der Datei LigaFile befinden
    //
    // LigaFile: Je nach Art, einzelnes Liga-File oder Datei mit den auszugebenden Ligen
    //
    // Mannschaften: nur bei Art=1 String mit den auszugebenden Mannschaften, durch ;
    //               getrennt, sonst ""
    //
    // -------------------------------------------------------------------------------------------------

    function ZeigeBlitzTabelle($art, $incFile)
    {
        // Einstellungsbereich
        $pfadLiga = "../lmo/ligen/";      // Pfad zu den Ligen (MIT / am Ende)! ...
                                          // ... relativ zum Script der dies aufruft
        $spez       = "*";                 // Spezialzeichen, welches nicht in den ...
                                           // ... Mannschaftsnamen auftauchen darf zur ...
                                           // ... Kennzeichnung des Dateiendes
        // Alle Einstellungen mit 0=nein, 1=ja, keine anderen Zahlen !!!
        // --------------------------------------------------------------------
        $anzFavorit     = 1;              // Favorit-Anzeige
        $anzRahmen      = 1;              // Anzeige Zellen-Rahmen

        $anzLiga        = 1;              // Anzeige des Liganamens
        $anzSpiele      = 1;              // Anzeige "Spiele"
        $anzSiege       = 1;              // Anzeige "Siege"
        $anzUnent       = 1;              // Anzeige "Unentschieden" -> Einstellung in der Liga hat Vorrang
        $anzNiederl     = 1;              // Anzeige "Niederlage"
        $anzTore        = 1;              // Anzeige "Tore"
        $anzDiff        = 1;              // Anzeige "Tor-Differenz"
        $anzTeamName    = 0;              // Anzeige des Team-Namens: 0 = Normal
                                          //                          1 = Kurzname aus Liga-Datei
                                          //                          2 = Generierter Kurzname
        // --------------------------------------------------------------------
        // Ende (Alle Einstellungen mit 0=nein, 1=ja, keine anderen Zahlen !!!)

        $anzVeraender   = 2;              // Anzeige Vernderung zum letzten Spieltag
                                          // 0 = keine, 1 = Pfeile, 2 = Vernderung in Zahlen
        $fontSizeNum    = 8;              // Schriftgre der Anzeige
    	$fontFamily     = "Arial";        // Schriftart der Anzeige
    	$fontFamilyLink = "Arial";        // Schriftart der Link-Anzeige
        $ColorChamp     = "#FFD7AE";      // Farbe fr Erst-Plazierten
        $ColorChampL    = "#FF93C9";      // Farbe fr Champions-League
        $ColorChampQ    = "#B3FFB3";      // Farbe fr Chmpions-League_Qualifikant
        $ColorAufst     = "#FFFFBB";      // Farbe fr Aufsteuger bzw. UEFA-Cup
        $ColorRelegat   = "#80BFFF";      // Farbe fr Relegation
        $ColorAbstieg   = "#BBFFFF";      // Farbe der Absteiger
        $ColorNeutral   = "#0080C0";      // Farbe fr keine Vernderung zum letzten Spieltag
        $ColorPlus      = "#569E21";      // Farbe fr positive Vernderung zum letzten Spieltag
        $ColorNegativ   = "#FF0000";      // Farbe fr negative Vernderung zum letzten Spieltag

    	$fontSize        = $fontSizeNum . "pt";
    	$fontSizeHeader  = $fontSizeNum . "pt";
    	$fontSizeCopy    = ($fontSizeNum >= 7 ? 7 : $fontSizeNum - 1) . "pt";
    	$anzRahmen       = ($anzRahmen == 1 ? "solid" : "none");
    	$anzTeamName     = ($anzTeamName > 2 ? 0 : $anzTeamName);

        // CSS-Bereich
        echo "<style type = 'text/css'>";
        echo "    TABLE { padding: $anzRahmen px $anzRahmen px $anzRahmen px $anzRahmen px; margin: $anzRahmen px; table-align:center; }";
        echo "    TH { font-family: $fontFamily; font-size: $fontSizeHeader; background-color: $backColorHead; }";
        echo "    TD { font-family: $fontFamily; font-size: $fontSize; background-color: $backColorCell; border-style: $anzRahmen; border-width: 1px; padding:1px}";
        echo "    a:link    { background: $backCopyColor; color: #0000ff; font-family: $fontFamilyLink; font-size:$fontSizeCopy; font-weight: normal; text-decoration: none; }";
        echo "    a:visited { background: $backCopyColor; color: #0000ff; font-family: $fontFamilyLink; font-size:$fontSizeCopy; font-weight: normal; text-decoration: none; }";
        echo "    a:active  { background: $backCopyColor; color: #0000ff; font-family: $fontFamilyLink; font-size:$fontSizeCopy; font-weight: normal; text-decoration: overline underline; }";
        echo "    a:hover   { background: $backCopyColor; color: #0000ff; font-family: $fontFamilyLink; font-size:$fontSizeCopy; font-weight: normal; text-decoration: overline underline; }";
        echo "    .pede0    { padding: 2px; background: #ddffdd; color: #880000; font-family: Arial, Helvetica, Sans-Serif; font-size: 11pt; font-weight: bold; }";
        echo "    .pede2    { padding: 2px; background: #ddffdd; color: #008800; font-family: Arial, Helvetica, Sans-Serif; font-size: 7pt; font-weight: normal; }";
        echo "    .pede4    { padding: 2px; background: #eeeeee; color: #000000; font-family: Arial, Helvetica, Sans-Serif; font-size: 9pt; font-weight: bold; }";
        echo "              .pede4 a:link { background: #eeeeee; color: #000000; font-weight: bold; text-decoration: none; }";
        echo "              .pede4 a:visited { background: #eeeeee; color: #000000; font-weight: bold; text-decoration: none; }";
        echo "              .pede4 a:active { background: #eeeeee; color: #000000; font-weight: bold; text-decoration: overline underline; }";
        echo "              .pede4 a:hover { background: #eeeeee; color: #000000; font-weight: bold; text-decoration: overline underline; }";
        echo "    .pede5    { padding: 2px; background: #ffffff; color: #000000; font-family: Arial, Helvetica, Sans-Serif; font-size: 9pt; font-weight: normal; }";
        echo "</style>";

        // defines fr HEAD-Array
        define(conHEAD_FILE,            0);
        define(conHEAD_NAME,            1);
        define(conHEAD_TYPE,            2);
        define(conHEAD_TEAMS,           3);
        define(conHEAD_ROUNDS,          4);
        define(conHEAD_MATCHES,         5);
        define(conHEAD_ACTUAL,          6);
        define(conHEAD_KEGEL,           7);
        define(conHEAD_PONTS_FOR_WIN,   8);
        define(conHEAD_PONTS_FOR_DRAW,  9);
        define(conHEAD_PONTS_FOR_LOST, 10);
        define(conHEAD_SPEZ,           11);
        define(conHEAD_HIDE_DRAW,      12);
        define(conHEAD_XTRAS,          13);
        define(conHEAD_XTRAU,          14);
        define(conHEAD_XTRAV,          15);
        define(conHEAD_SPEZS,          16);
        define(conHEAD_SPEZU,          17);
        define(conHEAD_SPEZV,          18);
        define(conHEAD_CHAMP,          19);
        define(conHEAD_CL,             20);
        define(conHEAD_CK,             21);
        define(conHEAD_UC,             22);
        define(conHEAD_AR,             23);
        define(conHEAD_AB,             24);
        define(conHEAD_MINUS_POINTS,   25);
        define(conHEAD_DIRECT,         26);
        define(conHEAD_NAME_PKT,       27);
        define(conHEAD_NAME_TOR,       28);
        define(conHEAD_FAV_TEAM,       29);
        define(conHEAD_LAENGE,         29);

        // defines fr STATISTIK-Array
        define(conSTAT_PKT_STRAFE,       0);
        define(conSTAT_PKT_STRAFE_MINUS, 1);
        define(conSTAT_MANN_URL,         2);
        define(conSTAT_MANN_NOTIZ,       3);
        define(conSTAT_SERIE,            4);
        define(conSTAT_GR_TISCH,         5);
        define(conSTAT_VERLAENGERUNG,    6);
        define(conSTAT_ELFMETER_SCHIESS, 7);
        define(conSTAT_HEADER,           7);
        // defines fr TABELLE-Array
        define(conTAB_ID,               0);
        define(conTAB_PKT_PLUS,         1);
        define(conTAB_PKT_MINUS,        2);
        define(conTAB_TOR_PLUS,         3);
        define(conTAB_TOR_MINUS,        4);
        define(conTAB_SPIEL_SIEG,       5);
        define(conTAB_SPIEL_UNENT,      6);
        define(conTAB_SPIEL_VERL,       7);
        define(conTAB_SPIEL_ANZ,        8);
        define(conTAB_HEADER,           8);
        
        $tabBreite = 5 + ($anzVeraender > 0 ? 2 : 0) + $anzSpiele + $anzSiege + $anzUnent + $anzNiederl + ($anzTore > 0 ? 3 : 0) + $anzDiff;
        $pedBlT    = "0.83";
        // Ende allgemeine Variablen
        // ----------------------------------------------------------------------------
        // Array fllen:
        // 1 = Einzelmannschaft, $incFile = einzelnes Ergebnis-File
        echo "<table align='center'>";
//        echo "<table>";
            echo "<tr>";
                echo "<td colspan='$tabBreite' align='center' class=pede0>";
                    echo "Blitztabelle";
                echo "</td>";
            echo "</tr>";

            switch ($art)
            {
                case 1:
                {
                    $arrHead      = array();
                    $arrTeam      = array();
                    $arrStatistik = array();
                    $arrVerlauf   = array();
                    $arrTabPlatz  = array();
                    GetBlTData($incFile, &$arrHead, &$arrTeam, &$arrStatistik,
                               &$arrVerlauf, &$arrTabPlatz);
                    echo "<tr>";
                        echo "<td colspan='$tabBreite' align='center' class=pede4>";
                            echo $arrHead[conHEAD_NAME];
                        echo "</td>";
                    echo "</tr>";
                    // Anzeige
                    showBlTTable($arrVerlauf, $arrTabPlatz, $arrHead,
                                 $arrTeam, $pfadLiga, $fontSize, $tabBreite,
                                 $ColorChamp, $ColorChampL,  $ColorChampQ,
                                 $ColorAufst, $ColorRelegat, $ColorAbstieg,
                                 $ColorNeutral, $ColorPlus, $ColorNegativ,
                                 $anzTeamName, $anzVeraender, $anzSpiele, $anzSiege,
                                 $anzUnent, $anzNiederl, $anzTore, $anzDiff, $anzFavorit);
                    break;
                } // Ende case 1:
                // 2 = mehrere Mannschaften, $incFile = Datei mit Ligen
                case 2:
                {
                    // Liga-File auf einmal einlesen
                    $arrFile = file(chop($incFile));
                    // Einzelne Liga-Files und Favoriten auslesen
                    $j = 0;
                	for ($i = 0; $i < sizeof($arrFile); $i++)
                    {
                        // Endekennung erreicht ?
                        if (substr($arrFile[$i], 0, 1) == $spez)
                        {
                            break;
                        } // Ende if ... (Endekennung erreicht ?)
                        // Kommentar ?
                        if (substr($arrFile[$i], 0, 2) != "//" && chop($arrFile[$i]) != "")
                        {
                            $ligaPfad = $PfadLMO . substr($arrFile[$i], 0, strpos($arrFile[$i], ";"));
                            $arrLigaFile[$j++] = chop($ligaPfad);
                        } // Ende if ... (Kommentar ?)
                    } // Ende for ... (Einzelne Liga-Files und Favoriten auslesen)

                    // Einlesen der Tabellen
                    for ($i = 0; $i < sizeof($arrLigaFile); $i++)
                    {
                        $arrHead      = array();
                        $arrTeam      = array();
                        $arrStatistik = array();
                        $arrVerlauf   = array();
                        $arrTabPlatz  = array();
                        GetBlTData($arrLigaFile[$i], &$arrHead, &$arrTeam, &$arrStatistik,
                                   &$arrVerlauf, &$arrTabPlatz);
                        echo "<tr>";
                            echo "<td colspan='$tabBreite' align='center' class=pede4>";
                                echo $arrHead[conHEAD_NAME];
                            echo "</td>";
                        echo "</tr>";
                        // Anzeige
                        showBlTTable($arrVerlauf, $arrTabPlatz, $arrHead,
                                     $arrTeam, $pfadLiga, $fontSize, $tabBreite,
                                     $ColorChamp, $ColorChampL,  $ColorChampQ,
                                     $ColorAufst, $ColorRelegat, $ColorAbstieg,
                                     $ColorNeutral, $ColorPlus, $ColorNegativ,
                                     $anzTeamName, $anzVeraender, $anzSpiele, $anzSiege,
                                     $anzUnent, $anzNiederl, $anzTore, $anzDiff, $anzFavorit);
                        // Lcke nur bis zur vorletzten Liga
                        if ($i < sizeof($arrLigaFile) - 1)
                        {
                            echo "<tr>";
                                echo "<td style='border-style:none;'>";
                                    echo "&nbsp;";
                                echo "</td>";
                            echo "</tr>";
                        } // Ende if ... (Lcke nur bis zur vorletzten Liga)
                    } // Ende for ... Einlesen der Tabellen
                    break;
                } // Ende case 2:
            } // Ende switch

            // Copyrights
            echo "<tr>";
                echo "<td colspan=" . $tabBreite . " class=pede2 align=center>";
                    echo "<style='font-size:2px'>";
                    echo "<a href='http://www.peterscherb.de/svj' target='_blank'>";
                    echo "LMO-Blitztabelle V " . $pedBlT;
                    echo "</a> &copy; " . date("m") . "/" . date("Y") . " <a href='mailto:Peter.Scherb@PeterScherb.de'>";
                    echo "eMehl an Ped</a>";
                echo "</td>";
            echo "</tr>";
        echo "</table>";
    } // Ende function
    // ------------------------------------------------------------------------------------------------


    function GetBlTData($LigaFile, &$arrHead, &$arrTeam, &$arrStatistik, &$arrVerlauf, &$arrTabPlatz)
    {
        // Datei komplett einlesen
    	$arrFile       = file($LigaFile);
        $sizeOfArrFile = sizeof($arrFile);
        // Header-Array vorbelegen
        for ($i = 0; $i <= conHEAD_LAENGE; $i++)
        {
            $arrHead[$i] = 0;
        }
        $arrHead[conHEAD_FILE] = $LigaFile;
        // "Header" einlesen
    	for ($i = 0; $i < $sizeOfArrFile; $i++)
        {
            $arrFile[$i] = chop($arrFile[$i]);
    		if (GetBlTKey($arrFile[$i]) == "NAME")
            {
                $arrHead[conHEAD_NAME] = GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "TYPE")
            {
                $arrHead[conHEAD_TYPE] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "TEAMS")
    		{
                $arrHead[conHEAD_TEAMS] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "ROUNDS")
    		{
                $arrHead[conHEAD_ROUNDS] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "MATCHES")
    		{
                $arrHead[conHEAD_MATCHES] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "ACTUAL")
    		{
                $arrHead[conHEAD_ACTUAL] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "KEGEL")
    		{
                $arrHead[conHEAD_KEGEL] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "POINTSFORWIN")
    		{
                $arrHead[conHEAD_PONTS_FOR_WIN] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "POINTSFORDRAW")
    		{
                $arrHead[conHEAD_PONTS_FOR_DRAW] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "POINTSFORLOST")
    		{
                $arrHead[conHEAD_PONTS_FOR_LOST] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "SPEZ")
    		{
                $arrHead[conHEAD_SPEZ] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "HIDEDRAW")
    		{
                $arrHead[conHEAD_HIDE_DRAW] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "XTRAS")
    		{
                $arrHead[conHEAD_XTRAS] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "XTRAU")
    		{
                $arrHead[conHEAD_XTRAU] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "XTRAV")
    		{
                $arrHead[conHEAD_XTRAV] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "SPEZS")
    		{
                $arrHead[conHEAD_SPEZS] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "SPEZU")
    		{
                $arrHead[conHEAD_SPEZU] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "SPEZV")
    		{
                $arrHead[conHEAD_SPEZV] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "MINUSPOINTS")
    		{
                $arrHead[conHEAD_MINUS_POINTS] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "DIRECT")
    		{
                $arrHead[conHEAD_DIRECT] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "CHAMP")
    		{
                $arrHead[conHEAD_CHAMP] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "CL")
    		{
                $arrHead[conHEAD_CL] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "CK")
    		{
                $arrHead[conHEAD_CK] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "UC")
    		{
                $arrHead[conHEAD_UC] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "AR")
    		{
                $arrHead[conHEAD_AR] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "AB")
    		{
                $arrHead[conHEAD_AB] = (int)GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "NAMEPKT")
    		{
                $arrHead[conHEAD_NAME_PKT] = GetBlTValue($arrFile[$i]);
            }
    		if (GetBlTKey($arrFile[$i]) == "NAMETOR")
    		{
                $arrHead[conHEAD_NAME_TOR] = GetBlTValue($arrFile[$i]);
            }
            if (GetBlTKey($arrFile[$i]) == "FAVTEAM")
    		{
                $arrHead[conHEAD_FAV_TEAM] = (int)GetBlTValue($arrFile[$i]);
            }
            if ($arrFile[$i] == "[Teams]")
            {
                $i++;
                for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
                {
                    $arrTeam[$j][0] = GetBlTValue($arrFile[$i++]);
                }
            }
            if ($arrFile[$i] == "[Teamk]")
            {
                $i++;
                for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
                {
                    $arrTeam[$j][1] = GetBlTValue($arrFile[$i++]);
                    $arrTeam[$j][2] = MakeBlTShortName($arrTeam[$j][0]);
                }
                break;
            }
        }

        // Einlesen der Sonstigen Mannschafts-Infos
        $start  = $i;
        $teamNr = -1;
        for ($i = 0; $i <= $arrHead[conHEAD_TEAMS]; $i++)
        {
            for ($j = 0; $j <= conSTAT_HEADER; $j++)
            {
                $arrStatistik[$i][$j] = 0;
            }
            $arrStatistik[$i][conSTAT_SERIE] = "";
        }
        for ($i = $start; $i < $sizeOfArrFile; $i++)
        {
            $arrFile[$i] = chop($arrFile[$i]);
            if (substr($arrFile[$i], 0, 5) == "[Team")
            {
                $i++;
                $teamNr++;
            }
            if (GetBlTKey($arrFile[$i]) == "SP")
    		{
                $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetBlTValue($arrFile[$i]);
                $i++;
    		}
            if (GetBlTKey($arrFile[$i]) == "SM")
    		{
                $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetBlTValue($arrFile[$i]);
                $i++;
    		}
            if (GetBlTKey($arrFile[$i]) == "URL")
    		{
                $arrStatistik[$teamNr][conSTAT_MANN_URL] = chop(GetBlTValue($arrFile[$i]));
                $i++;
    		}
            if (GetBlTKey($arrFile[$i]) == "NOT")
    		{
                $arrStatistik[$teamNr][conSTAT_MANN_NOTIZ] = chop(GetBlTValue($arrFile[$i]));
                $i++;
    		}
            if ($arrFile[$i] == "[Round1]")
    		{
                break;
    		}
        }
        // Tabellenerstellung und Statistikteil der Spieltage
        $start  = $i;
        $spTag  = 0;

        for ($i = 0; $i < $arrHead[conHEAD_TEAMS]; $i++)
        {
            for ($j = 0; $j <= conTAB_HEADER; $j++)
            {
                if ($j == 0)
                {
                    $arrTabelle[$i][$j] = $i;
                }
                else
                {
                    $arrTabelle[$i][$j] = 0;
                }
                if ($arrStatistik[$i][conSTAT_PKT_STRAFE] != 0)
                {
                    $arrTabelle[$i][conTAB_PKT_PLUS] = $arrStatistik[$i][conSTAT_PKT_STRAFE] * -1;
                }
                if ($arrStatistik[$i][conSTAT_PKT_STRAFE_MINUS] != 0)
                {
                    $arrTabelle[$i][conTAB_PKT_MINUS] = $arrStatistik[$i][conSTAT_PKT_STRAFE_MINUS];
                }
            }
        }
        // Schleife ber alle Spieltage
        for ($i = $start; $i < $sizeOfArrFile; $i++)
        {
            $arrFile[$i] = chop($arrFile[$i]);
            if (substr($arrFile[$i], 0, 6) == "[Round")
            {
                if ($spTag > 0)
                {
                    for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
                    {
                        $arrVerlauf[$j] = array_merge($arrVerlauf[$j], $arrTabelle[$j]);
                    }
                    $arrTemp = $arrTabelle;
                    usort($arrTemp, "sortBlTMann");
                    for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
                    {
                        if ($j < $arrHead[conHEAD_TEAMS] - 1)
                        {
                            $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID] . ";";
                        }
                        else
                        {
                            $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID];
                        }
                    }
                }
                $heimID       = 0;
                $gastID       = 0;
                $heimTor      = 0;
                $gastTor      = 0;
                $sportGericht = 0;
                $i++;
                $spTag++;
            }
            if (GetBlTKey2($arrFile[$i]) == "TA")
    		{
                $heimID = (int)GetBlTValue($arrFile[$i]);
    		}
            if (GetBlTKey2($arrFile[$i]) == "TB")
    		{
                $gastID = (int)GetBlTValue($arrFile[$i]);
    		}
            if (GetBlTKey2($arrFile[$i]) == "GA")
    		{
                $heimTor = (int)GetBlTValue($arrFile[$i]);
    		}
            if (GetBlTKey2($arrFile[$i]) == "GB")
    		{
                $gastTor = (int)GetBlTValue($arrFile[$i]);
    		}
            if (GetBlTKey2($arrFile[$i]) == "ET")
    		{
                $sportGericht = (int)GetBlTValue($arrFile[$i]);
    		}
            if (GetBlTKey2($arrFile[$i]) == "SP")
    		{
                $spielEnde = (int)GetBlTValue($arrFile[$i]);
    		}
            if (GetBlTKey2($arrFile[$i]) == "AT")
            {
                // Keine Sportgerichtsentscheidung
                $heimID -= 1;
                $gastID -= 1;
                $arrTabelle[$heimID][conTAB_SPIEL_ANZ]  += 1;
                $arrTabelle[$gastID][conTAB_SPIEL_ANZ]  += 1;
                // Spielwertung 0:0 Heim-Mannschaft Sieg
                if ($heimTor == -2)
                {
                    $arrStatistik[$heimID][conSTAT_SERIE]   .= "2";
                    $arrStatistik[$gastID][conSTAT_SERIE]   .= "1";
                    $arrTabelle[$heimID][conTAB_SPIEL_SIEG] += 1;
                    $arrTabelle[$gastID][conTAB_SPIEL_VERL] += 1;
                    $arrTabelle[$heimID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                    $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                }
                // Spielwertung 0:0 Gast-Mannschaft Sieg
                else if ($gastTor == -2)
                {
                    $arrStatistik[$heimID][conSTAT_SERIE]   .= "1";
                    $arrStatistik[$gastID][conSTAT_SERIE]   .= "2";
                    $arrTabelle[$heimID][conTAB_SPIEL_VERL] += 1;
                    $arrTabelle[$gastID][conTAB_SPIEL_SIEG] += 1;
                    $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                    $arrTabelle[$gastID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                }
                else if ($sportGericht == 0)
                {
                    if ($heimTor > $gastTor)
                    {
                        $arrStatistik[$heimID][conSTAT_SERIE]   .= "2";
                        $arrStatistik[$gastID][conSTAT_SERIE]   .= "1";
                        $arrTabelle[$heimID][conTAB_SPIEL_SIEG] += 1;
                        $arrTabelle[$gastID][conTAB_SPIEL_VERL] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                        $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $heimTor;
                    }
                    else if ($heimTor < $gastTor)
                    {
                        $arrStatistik[$heimID][conSTAT_SERIE]   .= "1";
                        $arrStatistik[$gastID][conSTAT_SERIE]   .= "2";
                        $arrTabelle[$heimID][conTAB_SPIEL_VERL] += 1;
                        $arrTabelle[$gastID][conTAB_SPIEL_SIEG] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                        $arrTabelle[$gastID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $heimTor;
                    }
                    else if (!($heimTor == -1 && $gastTor == -1))
                    {
                        $arrStatistik[$heimID][conSTAT_SERIE]    .= "0";
                        $arrStatistik[$gastID][conSTAT_SERIE]    .= "0";
                        $arrTabelle[$heimID][conTAB_SPIEL_UNENT] += 1;
                        $arrTabelle[$gastID][conTAB_SPIEL_UNENT] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        $arrTabelle[$gastID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        if ($arrHead[conHEAD_MINUS_POINTS] == 2)
                        {
                            $arrTabelle[$heimID][conTAB_PKT_MINUS] += $arrHead[conHEAD_PONTS_FOR_DRAW];
                            $arrTabelle[$gastID][conTAB_PKT_MINUS] += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        }
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]    += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]   += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]    += $heimTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]   += $gastTor;
                    }
                }
                else
                {
                    if ($heimTor > $gastTor)
                    {
                        $arrStatistik[$heimID][conSTAT_SERIE]   .= "2";
                        $arrStatistik[$gastID][conSTAT_SERIE]   .= "2";
                        $arrTabelle[$heimID][conTAB_SPIEL_SIEG] += 1;
                        $arrTabelle[$gastID][conTAB_SPIEL_SIEG] += 1;
                        // Wird bei Sportgerichtswertung Gewonnene Spiele hochgezhlt ?
                        //$arrTabelle[$heimID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                        //$arrTabelle[$gastID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_LOST];
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $gastTor;
                    }
                    else if ($heimTor < $gastTor)
                    {
                        $arrStatistik[$heimID][conSTAT_SERIE]   .= "1";
                        $arrStatistik[$gastID][conSTAT_SERIE]   .= "1";
                        // Wird bei Sportgerichtswertung Verlorene Spiele hochgezhlt ?
                        //$arrTabelle[$heimID][conTAB_SPIEL_VERL] += 1;
                        //$arrTabelle[$gastID][conTAB_SPIEL_VERL] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                        $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_WIN];
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $gastTor;
                    }
                    else if (!($heimTor == -1 && $gastTor == -1))
                    {
                        $arrStatistik[$heimID][conSTAT_SERIE]    .= "0";
                        $arrStatistik[$gastID][conSTAT_SERIE]    .= "0";
                        // Wird bei Sportgerichtswertung Unentschieden Spiele hochgezhlt ?
                        //$arrTabelle[$heimID][conTAB_SPIEL_UNENT] += 1;
                        //$arrTabelle[$gastID][conTAB_SPIEL_UNENT] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        $arrTabelle[$gastID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        if ($arrHead[conHEAD_MINUS_POINTS] == 2)
                        {
                            $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_DRAW];
                            $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        }
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]    += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]   += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]   += $heimTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]    += $gastTor;
                    }
                } // Ende if ... (Keine Sportgerichtsentscheidung)
    		}
        } // Ende for ... (Schleife ber alle Spieltage)
        for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
        {
            $arrVerlauf[$j] = array_merge($arrVerlauf[$j], $arrTabelle[$j]);
        }
        $arrTemp = $arrTabelle;
        usort($arrTemp, "sortBlTMann");
        for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
        {
            if ($j < $arrHead[conHEAD_TEAMS] - 1)
            {
                $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID] . ";";
            }
            else
            {
                $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID];
            }
        }
    }


    function GetBlTKey($xVar)
    {
        return strtoupper(substr($xVar, 0, strpos($xVar, "=")));
    }


    function GetBlTKey2($xVar)
    {
        return strtoupper(substr($xVar, 0, 2));
    }


    function GetBlTValue($xVar)
    {
        return (substr($xVar, strpos($xVar, "=") + 1));
    }


    function sortBlTMann($a, $b)
    {
        // Punktgleichheit -> Tor-Differenz
        if ($a[conTAB_PKT_PLUS] == $b[conTAB_PKT_PLUS])
        {
            $diffA = $a[conTAB_TOR_PLUS] - $a[conTAB_TOR_MINUS];
            $diffB = $b[conTAB_TOR_PLUS] - $b[conTAB_TOR_MINUS];
            // Tor-Differenz gleich -> erzielte Tore
            if ($diffA == $diffB)
            {
                return($a[conTAB_TOR_PLUS] > $b[conTAB_TOR_PLUS]) ? -1 : 1;
            }
            else
            {
                return($diffA > $diffB) ? -1 : 1;
            }
        }
        else
        {
            return($a[conTAB_PKT_PLUS] > $b[conTAB_PKT_PLUS]) ? -1 : 1;
        }
    }


    function showBlTTable($arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam,
                          $pfadLiga, $fontSize, $tabBreite,
                          $ColorChamp, $ColorChampL,  $ColorChampQ,
                          $ColorAufst, $ColorRelegat, $ColorAbstieg,
                          $ColorNeutral, $ColorPlus, $ColorNegativ,
                          $anzTeamName, $anzVeraender, $anzSpiele, $anzSiege,
                          $anzUnent, $anzNiederl, $anzTore, $anzDiff, $anzFavorit)
    {
        $posChamp        = 0;
        $posCahmpL       = 0;
        $posChampQual    = 0;
        $posAufst        = 0;
        $posAbstieg      = 0;
        $posReleg        = 0;
        $spTag           = $arrHead[conHEAD_ACTUAL];

        $arrTabPlatzAkt  = explode(";", $arrTabPlatz[$spTag]);
        $arrTabPlatzPrev = explode(";", $arrTabPlatz[$spTag - 1]);

        for ($i = 0; $i < sizeof($arrTabPlatzAkt); $i++)
        {
            $arrTabPlatzAkt[$i]  = (int)$arrTabPlatzAkt[$i];
            $arrTabPos[$i]       = array_search($arrTabPlatzAkt[$i], $arrTabPlatzPrev);
        }

        $offSet = (($spTag - 1) * (conTAB_HEADER + 1));

        // Champ-Markierung
        $posChamp    = $arrHead[conHEAD_CHAMP];
        // Champions-League-Markierung
        $posChampL   = $arrHead[conHEAD_CHAMP] + $arrHead[conHEAD_CL];
        // Aufsteiger/UEFA-Pokal-Markierung
        $posChampQ   = $arrHead[conHEAD_CHAMP] + $arrHead[conHEAD_CL] + $arrHead[conHEAD_CK];
        // Aufsteiger/UEFA-Pokal-Markierung
        $posAufstieg = $arrHead[conHEAD_CHAMP] + $arrHead[conHEAD_CL] + $arrHead[conHEAD_CK] + $arrHead[conHEAD_UC];

        // Absteiger-Markierung
        if ($arrHead[conHEAD_AB] > 0)
        {
            $posAbstieg = $arrHead[conHEAD_TEAMS] - $arrHead[conHEAD_AB];
        }
        // Relegation-Markierung
        if ($arrHead[conHEAD_AR] > 0)
        {
            $posReleg = $posAbstieg - $arrHead[conHEAD_AR];
        }

        echo "<tr>";
            $dummy = 4 - ($anzVeraender == 0 ? 2 : ($anzVeraender == 1 ? 0 : 1));
            echo "<td colspan='$dummy'>";
                echo "<b>";
                    echo "<a style='font-size: $fontSize;' href=" . $PfadLiga . "lmo.php?file=" . $arrHead[conHEAD_FILE] . "&action=results&st=" . $spTag . " target='_self' title='Tabelle/Begegnungen des " . $spTag . ". Spieltages anzeigen'>";
                        echo "$spTag .Spieltag";
                    echo "</a>";
                echo "</b>";
            echo "</td>";

            if ($anzSpiele)
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "Sp";
                    echo "</b>";
                echo "</td>";
            }
            if ($anzSiege)
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "s";
                    echo "</b>";
                echo "</td>";
            }
            if ($arrHead[conHEAD_HIDE_DRAW] == 0 && $anzUnent == 1)
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "u";
                    echo "</b>";
                echo "</td>";
            }
            if ($anzNiederl)
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "n";
                    echo "<b>";
                echo "</td>";
            }
            echo "<td align='right'>";
                echo "<b>";
                    echo $arrHead[conHEAD_NAME_PKT];
                echo "</b>";
            echo "</td>";
            if ($anzTore)
            {
                echo "<td colspan='3' align='center'>";
                    echo "<b>";
                        echo $arrHead[conHEAD_NAME_TOR];
                    echo "</b>";
                echo "</td>";
                if ($anzDiff)
                {
                    echo "<td align='right'>";
                        echo "<b>";
                            echo "Diff";
                        echo "</b>";
                    echo "</td>";
                }
            }
        echo "</tr>";

        $pos = 1;

        for ($i = 0; $i < $arrHead[conHEAD_TEAMS]; $i++)
        {
            $backColorCell = "#FFFFFF";

            if ($posAufstieg != 0 && $i < $posAufstieg)
            {
                $backColorCell = $ColorAufst;
            }
            if ($posChampQ != 0 && $i < $posChampQ)
            {
                $backColorCell = $ColorChampQ;
            }
            if ($posChampL != 0 && $i < $posChampL)
            {
                $backColorCell = $ColorChampL;
            }
            if ($i == 0 && $posChamp > 0)
            {
                $backColorCell = $ColorChamp;
            }

            if ($posReleg != 0 && $i >= $posReleg)
            {
                $backColorCell = $ColorRelegat;
            }
            if ($posAbstieg != 0 && $i >= $posAbstieg)
            {
                $backColorCell = $ColorAbstieg;
            }

            echo "<tr>";
                echo "<td bgcolor=$backColorCell align='right'>";
                    echo $pos++;
                echo "</td>";
                if ($anzVeraender)
                {
                    echo "<td bgcolor=$backColorCell align='center'>";
                        if ($i == $arrTabPos[$i])
                        {
                            echo "<font color='$ColorNeutral'>";
                                echo "&bull;";
                            echo "</font>";
                        }
                        else if ($i < $arrTabPos[$i])
                        {
                            echo "<font color='$ColorPlus'>";
                                if ($anzVeraender == 2) { echo "+" . ($i - $arrTabPos[$i]) * -1; }
                                else                    { echo "&uarr;"; }
                            echo "</font>";
                        }
                        else if ($i >  $arrTabPos[$i])
                        {
                            echo "<font color='$ColorNegativ'>";
                                if ($anzVeraender == 2) { echo "-" . ($i - $arrTabPos[$i]); }
                                else                    { echo "&darr;"; }
                            echo "</font>";
                        }
                    echo "</td>";
                    if ($anzVeraender == 1)
                    {
                        echo "<td bgcolor=$backColorCell align='right'>";
                            echo "(" . ($arrTabPos[$i] + 1) . ")";
                        echo "</td>";
                    }
                }
                echo "<td bgcolor=$backColorCell>";
                    if ($anzFavorit && $arrTabPlatzAkt[$i] + 1 == $arrHead[conHEAD_FAV_TEAM])
                    {
                        echo "<b>";
                    }
                    echo $arrTeam[$arrTabPlatzAkt[$i]][$anzTeamName];
                    if ($anzFavorit && $arrTabPlatzAkt[$i] + 1 == $arrHead[conHEAD_FAV_TEAM])
                    {
                        echo "</b>";
                    }
                echo "</td>";
                if ($anzSpiele)
                {
                    echo "<td bgcolor=$backColorCell align='right'>";
                        //echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_SPIEL_ANZ];
                        echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_SPIEL_SIEG] +
                             $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_SPIEL_UNENT] +
                             $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_SPIEL_VERL];
                    echo "</td>";
                }
                if ($anzSiege)
                {
                    echo "<td bgcolor=$backColorCell align='right'>";
                        echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_SPIEL_SIEG];
                    echo "</td>";
                }
                if ($arrHead[conHEAD_HIDE_DRAW] == 0 && $anzUnent == 1)
                {
                    echo "<td bgcolor=$backColorCell align='right'>";
                        echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_SPIEL_UNENT];
                    echo "</td>";
                }
                if ($anzNiederl)
                {
                    echo "<td bgcolor=$backColorCell align='right'>";
                        echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_SPIEL_VERL];
                    echo "</td>";
                }
                echo "<td bgcolor=$backColorCell align='right'>";
                    echo "<b>";
                        echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_PKT_PLUS];
                    echo "</b>";
                echo "</td>";
                if ($anzTore)
                {
                    echo "<td bgcolor=$backColorCell align='right'>";
                        echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_TOR_PLUS];
                    echo "</td>";
                    echo "<td bgcolor=$backColorCell align='center'>";
                        echo "&nbsp;:";
                    echo "</td>";
                    echo "<td bgcolor=$backColorCell align='right'>";
                        echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_TOR_MINUS];
                    echo "</td>";
                    if ($anzDiff)
                    {
                        echo "<td bgcolor=$backColorCell align='right'>";
                            echo $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_TOR_PLUS] - $arrVerlauf[$arrTabPlatzAkt[$i]][$offSet + conTAB_TOR_MINUS];;
                        echo "</td>";
                    }
                }
            echo "</tr>";
        }
/**/
    }
    // Generiert Kurznamen
    function MakeBlTShortName($name)
    {
        // -------------------------------------------------------------
        // Hier knnen noch weitere Ausschlukriterien angegeben werden.
        // Eingabe in GROSSBUCHSTABEN !!!
        $arrAusschluss = array("TSV", "VFL", "1.FC", "1. FC", "HSG", "SSV", "VFB", "EINTRACHT");
        // -------------------------------------------------------------

        // String in Array
        $arrErgeb = explode(" ", $name);
        $dummy = "";
        
        // Array durchlaufen
        for($i = 0; $i < sizeof($arrErgeb); $i++)
        {
            $arrErgeb[$i] = chop($arrErgeb[$i]);
            if ($arrErgeb[$i] == "I" || $arrErgeb[$i] == "II" || $arrErgeb[$i] == "III" ||
                $arrErgeb[$i] == "1" || $arrErgeb[$i] == "2"  || $arrErgeb[$i] == "3")
            {
                $dummy = " " . $arrErgeb[$i];
            }
            // Ausschlu-Array
            if (in_array(strtoupper($arrErgeb[$i]), $arrAusschluss))
            {
                array_splice($arrErgeb, $i, 1);
            }

            // Lnge
            if (strlen($arrErgeb[$i]) <= 2)
            {
                array_splice($arrErgeb, $i, 1);
            }
        } // Ende for ... (Array durchlaufen)

        // Sortieren
        usort($arrErgeb, "vglBlTFunc");
        // 1. Array-Element zurck
        return $arrErgeb[0] . $dummy;
    }

    function vglBlTFunc($a, $b)
    {
        // Numerische Werte nach oben, wenn nicht gewnscht -> auskommentieren und
        // else wech
        if (is_numeric($b))
            { return($b < $a); }
        // Lngere String zuerst, dann unteres auskommentieren
        else
            { return(strlen($a) < strlen($b)); }
        // krzere String zuerst, dann obiges auskommentieren
        //else
        //    { return(strlen($a) > strlen($b)); }
    }
?>